> For the complete documentation index, see [llms.txt](https://docs.infotopics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infotopics.com/trulyp/writebackextreme-old/troubleshooting-and-faq/extension-errors/single-sign-on-saml/authentication-method-by-which-the-user-authenticated-with-the-service-doesnt-match-requested-auth.md).

# Authentication method by which the user authenticated with the service doesn't match requested auth

Whenever you suddenly get an error with Single Sign On related to the authentication method Password Protected does not match the .... with Microsoft please follow this link:

<https://learn.microsoft.com/en-us/troubleshoot/azure/active-directory/error-code-aadsts75011-auth-method-mismatch>

#### Solution 1:

Logout from your Edge browser and login again to reset the user profile in the browser.

#### Solution 2:

Set the `requestedAuthnContext` to false by adding the following lines to your `wbe.config.yaml`:

```yaml
writeback-extreme:
  env:
    # ..other environment variables
    portal:
      saml:
        xml_validation: true
        requested_auth: false
```

Note: Environment variables defined in the config will be automatically be uppercased when starting the application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infotopics.com/trulyp/writebackextreme-old/troubleshooting-and-faq/extension-errors/single-sign-on-saml/authentication-method-by-which-the-user-authenticated-with-the-service-doesnt-match-requested-auth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
